=== ns-3/external-sync/wscript ===
# -*- Mode: python; py-indent-offset: 4; indent-tabs-mode: nil; coding: utf-8; -*-

# def options(opt):
#     pass

# def configure(conf):
#     conf.check_nonfatal(header_name='stdint.h', define_name='HAVE_STDINT_H')

def build(bld):
    module = bld.create_ns3_module('external-sync', ['core','network','mobility'])
    module.source = [
        'helper/external-sync-helper.cc',
        'model/external-sync-manager.cc',
        'model/external-sync-simulator-impl.cc',
        ]

    module_test = bld.create_ns3_module_test_library('external-sync')
    module_test.source = [
        'test/external-sync-test-suite.cc',
        ]

    headers = bld(features='ns3header')
    headers.module = 'external-sync'
    headers.source = [
        'helper/external-sync-helper.h',
        'model/external-sync-manager.h',
        'model/external-sync-simulator-impl.h',
        ]

    if bld.env.ENABLE_EXAMPLES:
        bld.recurse('examples')

    # bld.ns3_python_bindings()
