=== debian/changelog ===
gzuav (0.2-1) unstable; urgency=medium

  * Initial Ubuntu package.

 -- Fabio D'Urso <durso@dmi.unict.it>  Mon, 19 Nov 2018 23:22:12 +0000
