=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DWITH_NS3_EXTERNAL_SYNC=ON -DCMAKE_INSTALL_LIBEXECDIR=lib
